# Class: NoUnnecessaryDoubleQuotes

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/no_unnecessary_double_quotes.coffee

## Variables Summary

rule =

      {
        name: 'no_unnecessary_double_quotes',
        level: 'ignore',
        message: 'Unnecessary double quotes are forbidden',
        description: 'This rule prohibits double quotes unless string interpolation is\nused or the string contains single quotes.\n<pre>\n<code># Double quotes are discouraged:\nfoo = "bar"\n\n###\nUnless string interpolation is used:\n###\nfoo = "#{bar}baz"\n\n###\nOr they prevent cumbersome escaping:\n###\nfoo = "I\'m just following the \'rules\'"\n</code>\n</pre>\nDouble quotes are permitted by default.'
      }

tokens =

      ['STRING']

## Instance Method Summary

- # (void) lintToken(token, tokenApi)
- # (void) isInterpolated(tokenApi)
- # (void) containsSingleQuote(tokenValue)

## Instance Method Details

# (void) lintToken(token, tokenApi)

# (void) isInterpolated(tokenApi)

# (void) containsSingleQuote(tokenValue)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input